Page MenuHomePhabricator

Remove dead flags.
ClosedPublic

Authored by ruiu on Mar 1 2016, 4:59 PM.

Details

Reviewers
lhames
Summary

searchArchivesToOverrideTentativeDefinitions and
searchSharedLibrariesToOverrideTentativeDefinitions are always false.
For the dead flags, we have a fairly large amount of code which is
never be executed.

Diff Detail

Event Timeline

ruiu updated this revision to Diff 49568.Mar 1 2016, 4:59 PM
ruiu retitled this revision from to Remove dead flags..
ruiu updated this object.
ruiu added a reviewer: lhames.
ruiu added a subscriber: llvm-commits.

Gosh, looks like this is dead since it was added in r173117 :-(

+1 for deleting it, but Lang get the final say in this code.

Cheers,
Rafael

Sorry, my mistake. It is dead ever since r146844, the very first commit :-(

Cheers,
Rafael

ping.

Lang, is this OK?

Cheers,
Rafael

lhames accepted this revision.Mar 18 2016, 4:46 PM
lhames edited edge metadata.

Thanks for the ping, and sorry for the delayed review Rui. This looks good to me.

This revision is now accepted and ready to land.Mar 18 2016, 4:46 PM
ruiu added a comment.Mar 28 2016, 2:05 PM

Submitted as r264653.

Eugene.Zelenko added a subscriber: Eugene.Zelenko.

Committed in r264653.